package com.sooka.system.real_estate.unseal.mapper;

import com.sooka.system.real_estate.unseal.domain.TGuijiRealEstateUnseal;

import java.util.List;

/**
 * 市房地产-解封信息Mapper接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface TGuijiRealEstateUnsealMapper
{
    /**
     * 查询市房地产-解封信息
     *
     * @param id 市房地产-解封信息ID
     * @return 市房地产-解封信息
     */
    public TGuijiRealEstateUnseal selectById(String id);

    /**
     * 查询市房地产-解封信息列表
     *
     * @param param 市房地产-解封信息
     * @return 市房地产-解封信息集合
     */
    public List<TGuijiRealEstateUnseal> selectList(TGuijiRealEstateUnseal param);

    /**
     * 新增市房地产-解封信息
     *
     * @param param 市房地产-解封信息
     * @return 结果
     */
    public int insert(TGuijiRealEstateUnseal param);

    /**
     * 修改市房地产-解封信息
     *
     * @param param 市房地产-解封信息
     * @return 结果
     */
    public int update(TGuijiRealEstateUnseal param);

    /**
     * 删除市房地产-解封信息
     *
     * @param id 市房地产-解封信息ID
     * @return 结果
     */
    public int deleteById(String id);

    /**
     * 批量删除市房地产-解封信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String[] ids);
}
